Wrong message on watching a talk page
Closed, ResolvedPublic

Description

When watching an extension's talk page on MediaWiki.org I get a message like this "All future changes to this page and its associated talk page will be notified."

I don't think that a talk page can have a talk page?

Nischayn22 added a subscriber: Nischayn22.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 12:25 PM
TTO added a subscriber: TTO.

Looks like enwiki has a local hack to vary the wording for content and talk namespaces: https://en.wikipedia.org/w/index.php?title=MediaWiki:Addedwatchtext&action=edit

Unfortunately, that requires ParserFunctions, so can't be added to MediaWiki core.

Do we need to split the message in two (addedwatchtext when invoked on content pages, and addedwatchtext-talk on talk pages)? Or is there a nicer way to do this?

TTO added a subscriber: siebrand.Jan 29 2015, 12:53 PM

@TTO, I think the only and best way to resolve it is splitting.

Glaisher claimed this task.Jul 30 2016, 9:52 AM

Change 301919 had a related patch set uploaded (by Glaisher):
Use different message when (un)watching a page in talk namespace

https://gerrit.wikimedia.org/r/301919

Great, thank you so much for the patch!

Guycn2 added a comment.Aug 7 2016, 8:12 AM

@Glaisher, when will the patch affect Wikimedia projects?

matej_suchanek added a subscriber: matej_suchanek.EditedAug 7 2016, 8:23 AM

@Glaisher, when will the patch affect Wikimedia projects?

It hasn't been approved yet. It should be on the first Wednesday or Thursday after that happens.

Guycn2 added a comment.Aug 7 2016, 9:20 AM

@Glaisher, when will the patch affect Wikimedia projects?

It hasn't been approved yet. It should be on the first Wednesday or Thursday after that happens.

OK. Well then, who can approve it?

@Glaisher, when will the patch affect Wikimedia projects?

It hasn't been approved yet. It should be on the first Wednesday or Thursday after that happens.

OK. Well then, who can approve it?

Experienced, privileged users. Just be patient, it shouldn't take long time.

@Glaisher, when will the patch affect Wikimedia projects?

It hasn't been approved yet. It should be on the first Wednesday or Thursday after that happens.

OK. Well then, who can approve it?

Experienced, privileged users. Just be patient, it shouldn't take long time.

OK, thanks for the answer.

Change 301919 merged by jenkins-bot:
Use different message when (un)watching a page in talk namespace

https://gerrit.wikimedia.org/r/301919

Reedy closed this task as "Resolved".Aug 7 2016, 1:45 PM
Guycn2 added a comment.Aug 7 2016, 3:44 PM

Thanks for approving it!